1. Cards
Asteria API DOCs
  • Getting Started
  • Webhooks
  • Auth
    • Validate & Generate Access Token
      POST
  • Collections
    • Pay via Bank Transfer
      • Get Banks
      • Generate Dynamic VIrtual Account
      • Check Payment Status
    • Cards
      • Generate Payment Advice
        POST
      • Charge Card
        POST
      • Check Card Payment Status
        POST
    • Mpesa
      • Mpesa API
    • International Cards
      • Setup Card
      • Check Enrollment
      • Validate Challenge
      • Get Status
  • Payouts
    • Get Bank List
      GET
    • Validate Account
      POST
    • Initiate Transfer
      POST
    • Check Payout Status
      POST
  • Account
    • Get Wallet Balance
      GET
  1. Cards

Charge Card

POST
https://api-dev.asteriatechnology.io/collections/card/charge-card

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-dev.asteriatechnology.io/collections/card/charge-card' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "adviceReference": "99b7252d-1a93-45c4-9120-eaa1165c40a3",
    "cardNumber": "4297170430317525",
    "expiredMonth": "05",
    "expiredYear": "2038",
    "cvv": "120",
    "cardPin": "1234",
    "billingAddress": {
        "address": "12 Admiralty Way",
        "city": "Lagos",
        "state": "LA",
        "postalCode": "101241",
        "country": "NG"
    },
    "shippingAddress": {
        "address": "45 Victoria Island Road",
        "city": "Lagos",
        "state": "LA",
        "postalCode": "101241",
        "country": "NG"
    }
}'
Response Response Example
{
    "responseStatus": "00",
    "message": "Card Charge processing.",
    "data": {
        "transactionId": "cms91a0b80000339kz6qeqqrr",
        "redirectUrl": "https://coreservice-api.asteria.ng/web/card/authorize/CPC792C854978345FE96A294F309928675/initiate",
        "adviceReference": "99b7252d-1a93-45c4-9120-eaa1165c40a3",
        "accountNumber": "429145******8645"
    }
}
Modified at 2026-08-04 10:38:42
Previous
Generate Payment Advice
Next
Check Card Payment Status
Built with